Bug 17228 - Make two versions of SIPconfig.xml identical
Summary: Make two versions of SIPconfig.xml identical
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Magnus Enger
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-31 08:46 UTC by Magnus Enger
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17228 - Make two versions of SIPconfig.xml identical (4.90 KB, patch)
2016-08-31 09:07 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17228 - Make two versions of SIPconfig.xml identical (4.90 KB, patch)
2016-08-31 09:09 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17228 - Fix whitespace in etc/SIPconfig.xml (2.87 KB, patch)
2016-08-31 09:10 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17228 - Make two versions of SIPconfig.xml identical (4.90 KB, patch)
2016-08-31 09:10 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17228 - Make two versions of SIPconfig.xml identical (4.96 KB, patch)
2016-09-01 08:30 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17228 - Fix whitespace in etc/SIPconfig.xml (3.03 KB, patch)
2016-09-02 07:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17228 - Make two versions of SIPconfig.xml identical (4.96 KB, patch)
2016-09-02 07:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2016-08-31 08:46:17 UTC
We have two versions of SIPconfig.xml: 

etc/SIPconfig.xml
debian/templates/SIPconfig.xml

The former has been updated with some changes to the possible configuration of SIP2 servers, e.g. by bug 15006. The latter has not been updated with the same information.

Since debian/templates/SIPconfig.xml contains no special placeholders or variables, this bug proposes to simply copy etc/SIPconfig.xml to debian/templates/SIPconfig.xml, so that admins using the packages will see an up-to-date SIP2 config example when they have enabled SIP2 for a site.
Comment 1 Magnus Enger 2016-08-31 09:07:26 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2016-08-31 09:09:42 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2016-08-31 09:10:25 UTC Comment hidden (obsolete)
Comment 4 Magnus Enger 2016-08-31 09:10:45 UTC Comment hidden (obsolete)
Comment 5 Claire Gravely 2016-09-01 08:30:51 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2016-09-02 07:25:25 UTC
Created attachment 55106 [details] [review]
Bug 17228 - Fix whitespace in etc/SIPconfig.xml

Remove trailing whitespace and replace tabs with 4 spaces.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2016-09-02 07:25:30 UTC
Created attachment 55107 [details] [review]
Bug 17228 - Make two versions of SIPconfig.xml identical

Several bugs have made changes to etc/SIPconfig.xml but not
updated debian/templates/SIPconfig.xml. This means that an admin
using the Debian packages who enables SIP2 for a site and looks at
/etc/koha/sites/<instance>/SIPconfig.xml will not see an up-to-date
version of that file, with the risk of missing possible config
opportunities.

Since debian/templates/SIPconfig.xml contains no placeholders or
other magic stuff related to the Debian packaging, this patch simply
copies etc/SIPconfig.xml to debian/templates/SIPconfig.xml

To test: diff etc/SIPconfig.xml debian/templates/SIPconfig.xml
There should be no difference between the files

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Kyle M Hall 2016-09-02 16:47:47 UTC
Pushed to master for 16.11, thanks Magnus!
Comment 9 Frédéric Demians 2016-09-08 19:54:30 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 10 Julian Maurice 2016-09-16 07:06:05 UTC
Pushed to 3.22.x, will be in 3.22.11